Package org.jfree.layouting.renderer.model.table.rows

## Class SeparateRowModel

- java.lang.Object
- - org.jfree.layouting.renderer.model.table.rows.AbstractRowModel
  - - org.jfree.layouting.renderer.model.table.rows.SeparateRowModel

- All Implemented Interfaces:
    `TableRowModel`

      public class SeparateRowModel
      extends AbstractRowModel

  Creation-Date: 22.07.2006, 15:23:00
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SeparateRowModel​(TableSectionRenderBox tableSection)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear​()` |
    `long` | `getPreferredSize​()` |
    `long` | `getRowSpacing​()` |
    `void` | `validateActualSizes​()` |
    `void` | `validateSizes​()` |

    - ### Methods inherited from class org.jfree.layouting.renderer.model.table.rows.AbstractRowModel

      `addRow, getRow, getRowCount, getRows, getTableSection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SeparateRowModel

          public SeparateRowModel​(TableSectionRenderBox tableSection)

  - ### Method Detail

    - #### getPreferredSize

          public long getPreferredSize​()

    - #### getRowSpacing

          public long getRowSpacing​()

      Specified by:
        `getRowSpacing` in interface `TableRowModel`
      Overrides:
        `getRowSpacing` in class `AbstractRowModel`

    - #### validateSizes

          public void validateSizes​()

    - #### validateActualSizes

          public void validateActualSizes​()

    - #### clear

          public void clear​()